* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
    font-family: "Roboto", sans-serif;
    font-size: 16px;
    line-height: 1.5;
    margin:0;
    padding:0;
    background-color: #161616;
    background-image: url("bgElement.png");
    background-size: cover;               
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-position: bottom;
    
  /*
    
    background-size: 30px 30px;
    background-image:  Replace with own animation later 
    linear-gradient(to right, rgb(25, 25, 25) 2px, transparent 2px),
    linear-gradient(to bottom, rgb(25, 25, 25) 2px, transparent 2px); */
    
}

main{
    flex:1;
}

h1{
    text-align: center;
    font-family: "Source Code Pro", monospace;
}

p {
    text-align: left;
    color:white;
}

p.footer{
    text-align: center;
    color: #5a5a5a;
}

p.links{
    color:#bababa;
    text-align: center;
    margin-top: 60px;
    margin-bottom: 10px;
}

p.intro{    
    background-color: #202020;
    padding: 20px;
    padding-top: 10px;
    padding-bottom: 15px;
}

p.article{
    color: white;
    text-align: left;
    font-size: 18px;
    max-width: 1000px;
    margin:auto;
}

p.header{
    color: white;
    text-align: left;
    font-size: 26px;
    max-width: 1000px;
    margin:auto;
    font-family: sans-serif;
    margin-top: 40px;
    font-weight: bold;
}

p.showoff{
    font-size: larger;
    color:#909090;
    text-align: center;
    margin-top: 10px;
    padding: 5px;
    font-weight: bold;
}

:root{
    --primaryColor: #ebd234;
    --lightColor: #333;
    --darkColor: #262626;
    --darkerColor: #191919;
}

a {
    text-decoration: none;
    color: #fff;
}

a.movingLink{
    position:relative;
}

ul {
    list-style: none;
}

img {
    max-width: 100%;
    user-select: none;
}

img.logo{
    width: 50px;
}

img.portrait{
    display: flex;
    justify-content: space-around;
    overflow: hidden;
    border-radius: 50%;
    /*filter: drop-shadow(25px 25px #191919);
    border: 1px solid white;*/
    aspect-ratio: 1/1;
    z-index: 3;
    margin-left:auto;
    margin-right:auto;
}

img.linkLogo{
    border-radius: 10px;
    transition: 0.3s;
}

img.linkLogo:hover{
    transform: scale(1.1);
}

img.article{
    display: flex;
    margin-left:auto;
    margin-right:auto;
    margin-top: 20px;
    margin-bottom: 20px;
    max-height: 600px;
}

hr {
    align-self: center;
    margin: auto;
}

hr.name{
    margin-top: 10px;
    border-top: 1px solid white;
    transition: width 0.6s ease-out;
    width: 5%;
}

hr.name:hover{
    width:5%;
}

footer{
    background-color: black;
    padding-top: 15px;
    padding-bottom:15px;
    text-align: center;
    position:relative;
    padding-left:10%;
    padding-right:10%;
    margin-top: auto;
}

footer a{
    color:#555;
}

/* Util Class */

.fadein1{
    opacity: 0;
    margin-top: 20px;
    transition: opacity 0.4s ease-out, margin-top 0.4s ease-out;
}
.fadein2{
    opacity: 0;
    margin-top: 20px;
    transition: opacity 0.3s ease-out, margin-top 0.4s ease-out;
}
.fadein3{
    opacity: 0;
    margin-top: 20px;
    transition: opacity 0.3s ease-out, margin-top 0.4s ease-out;
}

.fadein.isVisible {
    opacity: 1;
    transform: none;
    visibility: visible;
}


/* Floating Menu */
.floatingMenu{
    cursor: pointer;
    border-radius: 50%;
    color: #AAA;
    position: fixed;
    z-index: 50;
    margin-left: 91%;
    bottom: -110px;
    font-size: 24px;
    background-color: #222;
    border: 2px solid #444;
    padding-left: 6px;
    padding-right: 6px;
    transition: 0.1s ease-out;
    height: 40px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.floatingMenu:hover, .floatingMenu:focus {
    background-color: #444;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdownContent {
    border: 1px solid #444;
    font-size: 20px;
    border-radius: 3px;
    display:none;
    position:absolute;
    background-color: #333;
    min-width: 150px;
    overflow: auto;
    box-shadow: 3px #111;
    user-select: none;
    z-index: 49;
}

.dropdownContent a {
    color:white;
    padding: 6px 12px;
    display: block;
    transition: 0.3s;
}

.dropdownContent a:hover {
    background-color: #111;
}

.menuShow {
    transform: translate(0px, -160px);
}

.show {display:block;}


/* Navbar */
.navbar {
    background-color: #333;
    padding: 0px;
    margin: 0px;
    filter: drop-shadow(0px 5px 5px #1a1a1a);
    background: linear-gradient(90deg, rgba(47,47,47,1) 0%, rgba(51,51,51,1) 5%, rgba(51,51,51,1) 95%, rgba(47,47,47,1) 100%);
}

.navbar .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navbar .main-menu ul{
    display: flex;
}

.navbar ul li a{
    padding: 10px 20px;
    height: 100%;
    display: block;
    font-weight: 600;
}

.navbar a.dropdown{
    display: none;
}

.navbar ul li a:hover{
    color: var(--primaryColor);
    background-color: var(--darkColor);
}

.container {
    max-width: 1100px;
    margin: 0 auto;
    padding: 0 15px;
}

.container-sm {
    max-width: 800px;
    margin: 0 auto;
    padding: 0 15px;
}

.introHeader{
    margin-top: 50px;
    margin-left: 10%;
    margin-right: 10%;
    background-color: #111;
    align-content: center;
    padding-bottom: 30px;
}

.stripe{
    display: flex;
    flex-direction: column;
    align-content: center;
    margin-left: 8%;
    margin-right: 8%;
    padding-bottom: 25px;
    background-image: linear-gradient(to bottom, rgba(255,0,0,0), rgb(31, 31, 31));
    box-shadow: 1px 1px 10px 10px #111;
    background-color: #262626;
    background-attachment: fixed;
    transition: 0.5s ease-in-out;
}

.darkstripe{
    margin-top:15px;
    display: flex;
    flex-direction: column;
    align-content: center;
    margin-left: 8%;
    margin-right: 8%;
    padding-bottom: 25px;
    background-image: linear-gradient(to bottom, rgba(255,0,0,0), #171717);
    box-shadow: 1px 1px 10px 10px #111;
    background-color: #1a1a1a;
    background-attachment: fixed;
}

.introColumns{
    display: block;
    align-items: center; 
    grid-template-columns: 40% auto;
    column-gap: 50px;
    margin: 40px;
    margin-top: 0px;
    padding: 30px;
    padding-left: 35px;
    padding-right: 35px;
}

.linkColumns{
    justify-content: center;
    display: grid;
    align-items: center;
    align-self: center;
    grid-template-columns: 100px 100px;
    column-gap: 40px;
    margin-bottom: 10px;
}


/*Introduction*/
.introduction{
    text-align: left;
    vertical-align: top;
    color:white;
    margin-top: 50px;
    position:relative;
    z-index: 1;
}

.introduction::before{
    transition: 0.4s ease-in-out;
    content: "";
    width: 104%;
    height: 115%;
    z-index: -1;
  
    position: absolute;
        top: 1px;
        bottom: 0;
        right: 0;
  
    background-color: #161616;
}

.introduction:hover::before{
    width: 106%;
    height: 120%;
}

.introduction::after{
    transition: 0.4s ease-in-out;
    content: "";
    width: 104%;
    height: 115%;
    z-index: -1;
  
    position: absolute;
    bottom: 1px;
  
    background-color: #1c1c1c;
}

.introduction:hover::after{
    width: 106%;
    height: 120%;
}


.bgWrapper{
    display: flex;
}

.bgChild{
    flex-basis: 100%;
}

.bgCircle{
    height:auto;
    width:auto;
    background-color: #111;
    object-position: 100px;
}

.logo a img{
    margin:auto;
}

.footerColumns{
    position:relative;
    margin-left:auto;
    margin-right:auto;
    color:#555;
    text-align:right;
    padding-left:5%;
    padding-right:5%;
    display: grid;
    grid-template-columns: auto auto auto;
}

.footer ul li a{
    padding: 10px 20px;
    display: block;
    transition: 0.5;
}

.footer ul li a:hover{
    color: #888;
}

.layeredImages{
    position: relative;
    top: 0;
    left: 0;
    margin-bottom: 100px;
}

.bottomLayerImage{
    position:relative;
    z-index: 2;
    width:100%;
}

.topLayerImage{
    position:absolute;
}

.maintenanceBanner{
    padding: 5px;
    margin-top:5px auto;
    background-color: #111;
}

.maintenanceBanner p{
    text-align: center;
    margin: auto 25%;
}

.maintenanceBanner p.X{
    text-align: center;
    position: absolute;
    margin: auto;
    right: 20%;
    color: #777;
}

.maintenanceBanner p.X:hover{
    cursor:pointer;
}

.aboutWrapper{
  margin: auto;
  width: 90%;
  color: white;
}

.aboutWrapper a{
  color: white;
}

.aboutWrapper h1{
  font-family: 'Courier New', Courier, monospace;
  font-size: 40px;
}

.aboutWrapper .twoColumns{
  text-align: center;
  font-size: 20px;
  display: flex;
  flex-direction: row;
}

.aboutWrapper img {
  height: 350px;
}

.twoColumns .visuals {
  margin: 15px 100px;
  text-align: center;
  justify-content: center;
}

.twoColumns .text {
  width: 50%;
  margin: auto;
}

/* Double Colons */

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background: #444; 
}

::-webkit-scrollbar-thumb:hover {
    background: #555; 
}

@media screen and (min-width: 800px) {
    .introColumns {
      display: grid;
      margin-top: 80px;
    }
    .layeredImages {
        margin-bottom: 0;
    }
    
  }

@media screen and (max-width: 600px) {
    .navbar .main-menu{
        display:none;
    }
    .navbar .drop{
        position:absolute;
        background-color: #333;
        width: 100%;
        top: 20px;
        left: 0;
    }
    .navbar .drop ul li{
        display:block;
    }
    .navbar a.dropdown{
        padding: 10px 20px;
        padding:auto;
        display:block;
        font-weight: bold;
    }
    .navbar a.dropdown:hover{
        cursor: pointer;
        color: var(--primaryColor);
        background-color: var(--darkColor);
    }
    .stripe{
        margin-left: 4%;
        margin-right: 4%;
    }
    .darkstripe{
        margin-left: 4%;
        margin-right: 4%;
    }
}
